quasardb C API: Prefix-based operations

quasardb C API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
Prefix-based operations

## Functions
QDB_API_LINKAGE qdb_error_t | qdb_direct_prefix_get (qdb_direct_handle_t handle, const char *prefix, qdb_int_t max_count, const char ***results, size_t *result_count)
| Retrieves the list of all entries matching the provided prefix. More...
QDB_API_LINKAGE qdb_error_t | qdb_prefix_get (qdb_handle_t handle, const char *prefix, qdb_int_t max_count, const char ***results, size_t *result_count)
| Retrieves the list of all entries matching the provided prefix. More...
QDB_API_LINKAGE qdb_error_t | qdb_prefix_count (qdb_handle_t handle, const char *prefix, qdb_uint_t *result_count)
| Retrieves the count of all entries matching the provided prefix. More...
QDB_API_LINKAGE qdb_error_t | qdb_prefix_approximate_count (qdb_handle_t handle, const char *prefix, qdb_uint_t *result_count)
| Retrieves the approximate count of all entries matching the provided prefix. More...

## Detailed Description

## Function Documentation

QDB_API_LINKAGE qdb_error_t qdb_direct_prefix_get | ( | qdb_direct_handle_t | handle,
|  | const char * | prefix,
|  | qdb_int_t | max_count,
|  | const char *** | results,
|  | size_t * | result_count
| ) |  |

Retrieves the list of all entries matching the provided prefix.

This function bypasses the clustering mechanism and accesses the node local storage. Entries in the local node storage are not accessible via the regular API and vice versa.

A prefix-based search will enable you to find all entries matching a provided `prefix`.

This function returns the list of aliases. It's up to the user to query the content associated with every entry, if needed.

Parameters

  | handle | A valid handle previously initialized by qdb_direct_connect
  | prefix | A pointer to a null-terminated UTF-8 string representing the desired prefix
  | max_count | An integer limiting the number of results returned by the function
  [out] | results | A pointer to a list of results
  [out] | result_count | A pointer to an integer giving the results count

Returns
  A qdb_error_t code indicating success or failure.

See Also
  qdb_release

QDB_API_LINKAGE qdb_error_t qdb_prefix_approximate_count | ( | qdb_handle_t | handle,
|  | const char * | prefix,
|  | qdb_uint_t * | result_count
| ) |  |

Retrieves the approximate count of all entries matching the provided prefix.

A prefix-based count counts all entries matching a provided prefix.

Parameters

  | handle | A valid handle previously initialized by qdb_open or qdb_open_tcp.
  | prefix | A pointer to a null-terminated UTF-8 string representing the desired prefix.
  [out] | result_count | A pointer to an integer giving the results count.

Returns
  A qdb_error_t code indicating success or failure.

QDB_API_LINKAGE qdb_error_t qdb_prefix_count | ( | qdb_handle_t | handle,
|  | const char * | prefix,
|  | qdb_uint_t * | result_count
| ) |  |

Retrieves the count of all entries matching the provided prefix.

A prefix-based count counts all entries matching a provided prefix.

Parameters

  | handle | A valid handle previously initialized by qdb_open or qdb_open_tcp.
  | prefix | A pointer to a null-terminated UTF-8 string representing the desired prefix.
  [out] | result_count | A pointer to an integer giving the results count.

Returns
  A qdb_error_t code indicating success or failure.

QDB_API_LINKAGE qdb_error_t qdb_prefix_get | ( | qdb_handle_t | handle,
|  | const char * | prefix,
|  | qdb_int_t | max_count,
|  | const char *** | results,
|  | size_t * | result_count
| ) |  |

Retrieves the list of all entries matching the provided prefix.

A prefix-based search will enable you to find all entries matching a provided `prefix`.

This function returns the list of aliases. It's up to the user to query the content associated with every entry, if needed.

Parameters

  | handle | A valid handle previously initialized by qdb_open or qdb_open_tcp.
  | prefix | A pointer to a null-terminated UTF-8 string representing the desired prefix
  | max_count | An integer limiting the number of results returned by the function
  [out] | results | A pointer to a list of results
  [out] | result_count | A pointer to an integer giving the results count

Returns
  A qdb_error_t code indicating success or failure.

See Also
  qdb_release